Ruby is a dynamic, open source programming language with a focus on simplicity and productivity.

learn more… | top users | synonyms

1
vote
2answers
3k views

Ruby/gem installation paths scattered all over, cause?

can you help me understand my ruby folder structure? I don't understand why my gems are scattered all over and why they aren't recognised commands. I'll explain how my installation looks like first: ...
1
vote
2answers
1k views

Updating to Ruby 1.9.2 on Windows

I have a Windows 7 64-bit computer with ruby 1.8.7 installed and want to update to 1.9.2. I installed 1.8.7 by downlooading and runing Ruby Installer . How do I update to ruby 1.9.2 so ruby 1.9.2 ...
1
vote
2answers
569 views

ImageMagick requirement for Paperclip plugin

The Ruby on Rails paperclip plugin says that I need to install ImageMagick in order to use Paperclip. I'm typically really bad at getting things installed and running, so I was wondering if anyone ...
3
votes
3answers
6k views

Pass cmd.exe arguments via a shortcut?

I'd like to create a shortcut to run cmd at a particular location with a few commands. I'm hoping from there I can work out how to make it a right click option to "Run my cmd commands here..." I've ...
0
votes
1answer
85 views

How do I make RubyGems install binaries to a different directory?

I'm on OS X (Snow Leopard) and all I want is for gem to put the binaries it installs into /usr/local/bin instead of /usr/bin. This doesn't seem like it should be hard, but my Google-Fu is failing me ...
0
votes
1answer
422 views

Can I get vim to correctly indent this Ruby code (Nokogiri)?

The first XML Builder Example for Nokogiri looks like this: builder = Nokogiri::XML::Builder.new do |xml| xml.root { xml.products { xml.widget { xml.id_ "10" ...
0
votes
2answers
414 views

How to re-install ruby on Mac Snow Leopard?

I Accidentally corrupted my system install of ruby and cant find out how to fix this. Any ideas? Basically i was trying to install Redmine on my system and i accidentally copied a file into ...
4
votes
1answer
1k views

Vim */dyn support

What does mean the plus sign before */dyn in the :version command's output, e.g.: +python/dyn +python3/dyn +ruby/dyn +tcl/dyn I didn't find any useful documentation on it. When I run :echo ...
0
votes
1answer
642 views

Install ruby-debug-ide on Snow Leopard running Ruby 1.9.2

I am trying to install ruby-debug-ide on Snow Leopard running Ruby 1.9 so that I can debug ruby code in Netbeans. I am using the following command sudo gem install ruby-debug-ide19 However I keep ...
0
votes
1answer
202 views

Installing Ruby on a windows box with only SSH access

I'm trying to run ruby on a fresh windows server. Is there a way to do this with only SSH access?
1
vote
3answers
1k views

Mainstream Linux on 1GB HDD

I've decided to start learning Linux + Ruby + RoR (Ruby on Rails). The problem is the only personal computer I have is a laptop with 1GB flash card and I can't afford to buy more hardware right now. ...
1
vote
1answer
1k views

rvm doesnt work when specifiying the path…?

when typing in the path to the rvm it doesnt work $which rvm /usr/local/bin/rvm $ruby -v ruby 1.9.2p0 (2010-08-18 revision 29036) [i686-linux] $/usr/local/bin/rvm use 1.8.7 Using ...
0
votes
1answer
313 views

Reinstalling default ruby on Mac OS X

I am using the directions given here: http://blog.bloople.net/read/104 and i am stuck at the second terminal command. i modified it to make RC_ARCHS=i386 SYSSTRING=universal-darwin10.5.0 and i recieve ...
0
votes
3answers
4k views

How to install Ruby 1.9.2 and Rails 3 on Ubuntu 10.10?

I have gone through a lot of blogs and tutorials (including Beginning Rails 3) and now I have a messed up Ubuntu (It runs on VMWare) that I do not like it. Main problem is that based on Beginning ...
0
votes
6answers
314 views

Hit a website every X minutes [closed]

Is there any script or service that hits a specified website every X minutes?
0
votes
4answers
890 views

Changing Ruby versions in Ubuntu 10.10

I've just installed Ruby 1.9.1 in my Ubuntu 10.10. When I give the command ruby -v in terminal, I'm getting "ruby 1.8.7 (2010-06-23 patchlevel 299) [i686-linux]". I think the older version of Ruby is ...
1
vote
3answers
544 views

Installing Ruby 1.9 on OS X 10.6

I'm attempting to install the latest stable version of Ruby (1.9.2) on OS X 10.6.4. The installation was successful, but the 'ruby' command is still erroneously referencing the previous ...
6
votes
2answers
1k views

Vim: “brace matching” for languages without braces? (Ruby, Python, etc)

Vim is great at highlighting matching braces. But lately I'm working in Ruby, where method definitions generally start with do and end with end instead of { and }. Similarly, if statements and case ...
0
votes
1answer
566 views

Installing MySQL-Ruby on Linux and Ruby 1.9.2

I am having an absurdly difficult time getting MySQL-Ruby to install on RedHat 4 using Ruby 1.9.2. I am behind a company proxy that prevents pretty much any package tool from connecting to external ...
1
vote
1answer
307 views

Installing ruby 1.9.1 on OS X with RVM, getting error I can't make sense of

I'm trying to update my ruby install on Leopard to at least 1.9.1. I found a tutorial that tells me how to do it with RVM and I get as far as downloading, configuring and compiling the version I want, ...
2
votes
3answers
531 views

How can I allow files to be dropped onto a Ruby script in Windows Explorer

In Windows Explorer (Win7) I can drop a file onto a batch (.bat) file, and the batch file is executed with the path to the dropped file as the first command line argument. How can I do the same thing ...
2
votes
1answer
11k views

How to completely remove Ruby, Ruby gems on Mac OS X 10.6.4

Most rubyists might be shocked when they'll read this, but I'd like to know if it's possible to completely remove the Ruby framework as well as all the tools and gems that ship with Mac OS X 10.6.4. ...
4
votes
2answers
2k views

Readline problems installing Ruby with RVM

I'm struggling with rvm. This isn't the first time I've installed rvm, and it isn't the first time I've had problems with it, but this problem is proving to be a right pain; and all of the articles ...
1
vote
2answers
1k views

Convert .haml to .html in Notepad++?

How do I set up Notepad++ to automatically run the console line "haml [filename.haml] [filename.html]" every time I update and save a .haml file?
6
votes
3answers
2k views

Ruby shell instead of Bash shell in Ubuntu?

It seems to me that Ruby is far more powerful, and you can also do more powerful scripting with it. Are there any open source implementations out there that could replace Bash with Ruby on Ubuntu, so ...
6
votes
2answers
712 views

Install packages through apt-get or gem?

If a package is available both through apt-get and gem, which one should I choose? I'm on Ubuntu and I don't know if I should install rake through apt-get or gem. I use both apt-get and gem packages ...
0
votes
1answer
52 views

Can't get Ruby to update properly

(Using Archlinux) I downloaded Ruby 1.8.7-174 a while ago and installed it via the tarball (not pacman). I was trying to update to 1.8.7-299, but I can't get it to work. Per the readme, I do the ...
3
votes
1answer
1k views

Getting (Mac)Vim to Work With RVM

I'm using RVM to manage Ruby installs and Gems, and MacVim to create and edit Ruby files. I have a key command in my ~/.vimrc mapped to evaluate a loaded Ruby file and print the output. It looks ...
7
votes
5answers
10k views

Is it possible to reinstall/fix Mac OS X's system ruby without doing a complete OS reinstall?

Is it possible? I'm running into various issues at least once a week since it got corrupted or something, especially with homebrew. If it is possible, but would just be a better idea to start from a ...
1
vote
1answer
790 views

How to update Ruby in Google SketchUp for Mac?

Currently Google SketchUp for Mac has Ruby version 1.8.5 which I find a bit outdated. I can update Ruby to 1.8.7 (OSX's version) by the following commands $ cd /Applications/Google\ SketchUp\ ...
0
votes
1answer
603 views

JRuby rpm for Centos 5.3?

Has anybody built a JRuby RPM for Centos 5.3? I know that JRuby can be just 'dropped in' and it will work on Centos 5.3, but I would like an RPM because it can be distributed, installed etc. easily ...
2
votes
5answers
594 views

Ubuntu desktop through pen drive for rails development

I am window user and .net web developer. I am trying hands in ruby and "ruby on rails". Everybody suggests me to use OSx or Linux. Can i install Ubuntu on "pen drive" and use as development machine ...
1
vote
4answers
5k views

Installing Ruby on Rails on Ubuntu 10.04: A Living Nightmare

Update #3: Starting over from scratch, shortened this post, decided to re-install a clean copy of Ubuntu 10.04 on a VM and go through the walk-through again. So, all the steps go without a hitch. As ...
2
votes
2answers
4k views

Linux: how to uninstall something that isn't a package…?

I installed ruby1.9.1 from source using sudo make install. How can I uninstall this? Basically I just don't want 'ruby' to map to ruby1.9.1, but instead the default 1.8.7. Also sudo make uninstall ...
4
votes
4answers
13k views

Ruby RubyGems: Why do I always get error messages when trying to install gems?

So I always seem to get error messages when I'm installing new gems. I'm new to Ruby, Rails, and RubyGems so it makes it very frustrating. I'm not sure if I need to configure something, or if I ...
6
votes
5answers
9k views

How to install RMagick RubyGem on Mac OS X 10.6 Snow Leopard?

I am getting this error while trying to install RMagick: $ sudo gem install rmagick Building native extensions. This could take a while... ERROR: Error installing rmagick: ERROR: Failed to ...
1
vote
1answer
645 views

Problem with making custom syntax highlighting in TextMate. Help!

I am trying to highlight a custom language in TextMate. However, the following definition does not highlight PHP insertions: { scopeName = 'source.serpent'; fileTypes = ( 'serpent' ); ...
1
vote
0answers
104 views

Circumventing a manual HTML login page for “unclassified” websites (automation purposes, credentials known)

The IT department just made my life a little bit harder again: they introduced a manual HTML login page for all websites they have not "classified". This means that all the applications which try to ...
0
votes
4answers
113 views

Linux standard input issue

I am new to Linux. And I am using Red Hat Enterprise Version 5. There is a ruby program which use standard input as its input (e.g. the Ruby program process input from standard input). I think ...
4
votes
2answers
2k views

How to configure installed Ruby and gems?

My current gem env returns: RubyGems Environment: - RUBYGEMS VERSION: 1.3.6 - RUBY VERSION: 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux] - INSTALLATION DIRECTORY: /home/USERNAME/.gems - ...
1
vote
1answer
27 views

how to define what characters are considered to be part of a tagname in vim?

when I'm using Ctrl-] to jump to a tagname in vim it ignores ! and ? characters which can be used in ruby as parts of identifiers. i.e. when trying to jump to 'empty?' tag it complains about missing ...
0
votes
2answers
2k views

Trying to install Rmagick on Debian

One of things you need to do to get Rmagick installed apt-get install libmagick9-dev When I try that I get the following errors Reading package lists... Done Building dependency tree... Done Some ...
9
votes
3answers
13k views

How to install the MySQL Ruby Gem on Ubuntu 9.10?

I am having a problem installing the Ruby Gem for MySQL. This is the command that I am running: sudo gem install mysql and this is the output that I'm getting: Building native extensions. This ...
0
votes
3answers
1k views

.inputrc settings: delete-char and [] keybindings not working

I am using mingw under windows. When I am using ruby (irb) my 'special' characters like []{} and \ are not working. This is because of my german keyboard, where these keys are used together with AltGr ...
2
votes
1answer
1k views

Problem installing SQLite3 RubyGem on Ubuntu

I am having a problem trying to install the SQLite3 RubyGem. Here's what I'm doing: $ sudo gem install --remote sqlite3-ruby Here's the output: Building native extensions. This could take a ...
0
votes
3answers
4k views

How to install/update Ruby on Rails on Ubuntu 9.10?

I'm running Ubuntu 9.10. I am getting started with ruby on rails development and would like to make sure my system is up to date. This is what I've found out so far: $ which ruby /usr/bin/ruby $ ...
0
votes
1answer
461 views

Installing Rake: invalid gem format

I installed Ruby on WinXP. Used rubyinstaller-1.8.6-p383-rc1.exe. Ran gem install rake Get error: Error installing rake: invalid gem format for C:/Ruby/lib/ruby/gems/1.8/cache/rake-0.8.7.gem ...
1
vote
1answer
798 views

Ruby script step in Mac Automator workflow does not exit

I have created an Automator workflow in Mac OS X 10.5.8. The workflow is supposed to run a Ruby script and then shutdown the computer. The Ruby script copies files between several computers and then ...
0
votes
2answers
521 views

Updating Ruby and Gem on Fedora Core 8

I have a new Fedora Core 8 image I am using (I am doing this on the EC2 -- Amazon Web Services). The image has Ruby 1.8.6 and gem 1.2 When I try to update Ruby using yum or gem using 'gem update ...
1
vote
3answers
878 views

Creating TAGS for Ruby and Emacs

I ran the following from my top level Ruby on Rails directory. find . -name "*.rb" | etags - Then within Emacs I visited that tag file. This works reasonably well to find some of the methods and ...